Get equity vol grid
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"maturities": [
0,
0
],
"strikes": [
[
6.027456183070403,
6.027456183070403
],
[
6.027456183070403,
6.027456183070403
]
],
"strike_type": "absolute"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid"
payload = {
"maturities": [0, 0],
"strikes": [[6.027456183070403, 6.027456183070403], [6.027456183070403, 6.027456183070403]],
"strike_type": "absolute"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
maturities: [0, 0],
strikes: [[6.027456183070403, 6.027456183070403], [6.027456183070403, 6.027456183070403]],
strike_type: 'absolute'
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'maturities' => [
0,
0
],
'strikes' => [
[
6.027456183070403,
6.027456183070403
],
[
6.027456183070403,
6.027456183070403
]
],
'strike_type' => 'absolute'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid"
payload := strings.NewReader("{\n \"maturities\": [\n 0,\n 0\n ],\n \"strikes\": [\n [\n 6.027456183070403,\n 6.027456183070403\n ],\n [\n 6.027456183070403,\n 6.027456183070403\n ]\n ],\n \"strike_type\": \"absolute\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"maturities\": [\n 0,\n 0\n ],\n \"strikes\": [\n [\n 6.027456183070403,\n 6.027456183070403\n ],\n [\n 6.027456183070403,\n 6.027456183070403\n ]\n ],\n \"strike_type\": \"absolute\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"maturities\": [\n 0,\n 0\n ],\n \"strikes\": [\n [\n 6.027456183070403,\n 6.027456183070403\n ],\n [\n 6.027456183070403,\n 6.027456183070403\n ]\n ],\n \"strike_type\": \"absolute\"\n}"
response = http.request(request)
puts response.read_body{
"vol_grid": {
"asset_id": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
}Get equity vol grid
POST
/
api
/
MarketData
/
GetEquityVolGrid
Get equity vol grid
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"maturities": [
0,
0
],
"strikes": [
[
6.027456183070403,
6.027456183070403
],
[
6.027456183070403,
6.027456183070403
]
],
"strike_type": "absolute"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid"
payload = {
"maturities": [0, 0],
"strikes": [[6.027456183070403, 6.027456183070403], [6.027456183070403, 6.027456183070403]],
"strike_type": "absolute"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
maturities: [0, 0],
strikes: [[6.027456183070403, 6.027456183070403], [6.027456183070403, 6.027456183070403]],
strike_type: 'absolute'
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'maturities' => [
0,
0
],
'strikes' => [
[
6.027456183070403,
6.027456183070403
],
[
6.027456183070403,
6.027456183070403
]
],
'strike_type' => 'absolute'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid"
payload := strings.NewReader("{\n \"maturities\": [\n 0,\n 0\n ],\n \"strikes\": [\n [\n 6.027456183070403,\n 6.027456183070403\n ],\n [\n 6.027456183070403,\n 6.027456183070403\n ]\n ],\n \"strike_type\": \"absolute\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"maturities\": [\n 0,\n 0\n ],\n \"strikes\": [\n [\n 6.027456183070403,\n 6.027456183070403\n ],\n [\n 6.027456183070403,\n 6.027456183070403\n ]\n ],\n \"strike_type\": \"absolute\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolGrid")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"maturities\": [\n 0,\n 0\n ],\n \"strikes\": [\n [\n 6.027456183070403,\n 6.027456183070403\n ],\n [\n 6.027456183070403,\n 6.027456183070403\n ]\n ],\n \"strike_type\": \"absolute\"\n}"
response = http.request(request)
puts response.read_body{
"vol_grid": {
"asset_id": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.MarketData.ApiGetEquityVolGridRequest, Derivitec.Web.Core Show child attributes
Show child attributes
Example:
{
"asset_name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
Available options:
absolute, percent_spot, percent_forward Response
Success
Available options:
Derivitec.Web.Core.MarketData.ApiGetEquityVolGridResponse, Derivitec.Web.Core Show child attributes
Show child attributes
Example:
{
"asset_id": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
Was this page helpful?